## xqf 0.5

=== Makefile ===
CC	= gcc
CFLAGS	= -O -g #-DDEBUG
LDFLAGS	= -L/usr/X11R6/lib -lgtk -lgdk -lglib -lXext -lX11 -lm
TARGET	= xqf
OBJS	= xqf.o pref.o server.o qstat.o rc.o filter.o dialogs.o utils.o \
          skin.o skin_pcx.o qrun.o psearch.o source.o

all: $(TARGET)

$(TARGET): $(OBJS)

master-dat.h: master.dat
	sed -e 's/\(.*\)|\(.*\)/\"\1\", \"\2\",/' < $^ > $@


depend dep: master-dat.h
	mv Makefile Makefile.old
	(sed '/^### Dep/q' Makefile.old; \
	    for i in *.c; do \
	    $(CC) $(CFLAGS) $(CPPFLAGS) -MM $$i; done) > Makefile

clean:
	rm -f *.[oasi] *~ core $(TARGET) Makefile.old

dist-clean: clean
	rm -f master-dat.h


### Dependencies start here -- do not change this line #######
dialogs.o: dialogs.c xqf.h utils.h dialogs.h
filter.o: filter.c xqf.h pref.h filter.h psearch.h
pref.o: pref.c xqf.h pref.h dialogs.h skin.h utils.h qrun.h
psearch.o: psearch.c xqf.h utils.h psearch.h
qrun.o: qrun.c xqf.h pref.h utils.h qrun.h dialogs.h
qstat.o: qstat.c xqf.h pref.h qstat.h utils.h server.h dialogs.h
rc.o: rc.c xqf.h pref.h utils.h rc.h
server.o: server.c xqf.h server.h
skin.o: skin.c pref.h utils.h skin.h skin_pcx.h quake_pal.h
skin_pcx.o: skin_pcx.c skin_pcx.h
source.o: source.c source.h xqf.h utils.h server.h pref.h master-dat.h
utils.o: utils.c utils.h
xqf.o: xqf.c xqf.h qstat.h source.h pref.h filter.h skin.h dialogs.h \
 utils.h server.h qrun.h psearch.h

## xqf 0.8.5

=== Makefile ===
CC	= gcc

CFLAGS	= -O -g -Wall `gtk-config --cflags` #-DDEBUG
LDFLAGS	= `gtk-config --libs`

INSTALL_ROOT = /usr/local

#
# Old Style CFLAGS/LDFLAGS
#
#CFLAGS  = -O -g 
#LDFLAGS = -L/usr/X11R6/lib -lgtk -lgdk -lglib -lXext -lX11 -lm

TARGET	= xqf
OBJS	= xqf.o pref.o server.o stat.o rc.o filter.o dialogs.o utils.o \
          skin.o skin_pcx.o qrun.o psearch.o source.o dns.o xutils.o \
          srv-list.o srv-info.o srv-prop.o pixmaps.o rcon.o

all: $(TARGET)

$(TARGET): $(OBJS)

master-dat.h: master.dat
	sed -e 's/\(.*\)|\(.*\)/\"\1\", \"\2\",/' < $^ > $@


depend dep: master-dat.h
	mv Makefile Makefile.old
	(sed '/^### Dep/q' Makefile.old; \
	    for i in *.c; do \
	    $(CC) $(CFLAGS) $(CPPFLAGS) -MM $$i; done) > Makefile

install:
	install -s -m 755 -g root -o root $(TARGET) $(INSTALL_ROOT)/bin

clean:
	rm -f *.[oasi] *~ core $(TARGET) Makefile.old

dist-clean: clean
	rm -f master-dat.h


### Dependencies start here -- do not change this line #######
dialogs.o: dialogs.c xqf.h utils.h xutils.h dialogs.h
dns.o: dns.c xqf.h utils.h dns.h
filter.o: filter.c xqf.h pref.h filter.h psearch.h server.h
pixmaps.o: pixmaps.c pixmaps.h xpm/q.xpm xpm/q2.xpm xpm/green-plus.xpm \
 xpm/red-minus.xpm
pref.o: pref.c xqf.h pref.h dialogs.h skin.h utils.h qrun.h srv-prop.h \
 pixmaps.h xutils.h
psearch.o: psearch.c xqf.h utils.h psearch.h dialogs.h xutils.h
qrun.o: qrun.c xqf.h pref.h utils.h dialogs.h source.h server.h qrun.h
rc.o: rc.c xqf.h pref.h utils.h rc.h
rcon.o: rcon.c xqf.h srv-prop.h dialogs.h utils.h rcon.h
server.o: server.c xqf.h dns.h server.h
skin.o: skin.c pref.h utils.h skin.h skin_pcx.h quake_pal.h \
 quake2_pal.h
skin_pcx.o: skin_pcx.c skin_pcx.h
source.o: source.c xqf.h source.h utils.h server.h pref.h stat.h dns.h \
 master-dat.h
srv-info.o: srv-info.c xqf.h stat.h dns.h pixmaps.h srv-info.h
srv-list.o: srv-list.c xqf.h stat.h dns.h skin.h filter.h utils.h \
 pref.h psearch.h server.h pixmaps.h srv-list.h srv-info.h
srv-prop.o: srv-prop.c xqf.h pref.h source.h dns.h server.h pixmaps.h \
 utils.h xutils.h dialogs.h srv-prop.h
stat.o: stat.c xqf.h pref.h stat.h dns.h utils.h server.h dialogs.h
utils.o: utils.c utils.h
xqf.o: xqf.c xqf.h stat.h dns.h source.h pref.h filter.h skin.h \
 dialogs.h utils.h server.h qrun.h psearch.h xutils.h srv-list.h \
 srv-prop.h rc.h pixmaps.h rcon.h
xutils.o: xutils.c

## xqf 1.0.5

=== debian/changelog ===
xqf (1.0.5-3) unstable; urgency=low

  * Update to debhelper v9.
  * Move to dpkg source version 3.0 (quilt). Drop patchys-quilt and quilt
    build dependency.
  * Canonicalise Vcs fields.
  * Drop obsolete README.source.
  * Add intltool to Build-Depends.
  * Add 11_add_x11_libs.patch: explicitly add libX11 to pkg-config's
    search (closes: #556722, #713583).
  * Add 12_drop_gtk1.2_check.patch: remove GLib/GTK+ 1.2 checks to make
    autoreconf possible.
  * Add 13_autotools_fixes.patch: more random autoconf/automake fixes.
  * Add 14_fix_readline_check.patch: fix check for readline which assumed
    ncurses was also required (thanks Sven Joachim; closes: #646743).
  * Add 15_fix_intltool.patch: attempt to do the minimal intltool/gettext
    updates that allow for locale data to be generated and installed again.
  * Add dh_autoreconf support for the above.
  * Bump to Standards-Version 3.9.3, with no further changes.

 -- Jordi Mallach <jordi@debian.org>  Fri, 28 Jun 2013 19:15:30 +0200

xqf (1.0.5-2) unstable; urgency=low

  * Update to debhelper v7.
  * Update menu section to Games/Action.
  * Added a watch file.
  * Build-Depend on just libreadline-dev (instead of versioned versions).
    (closes: #553878).
  * Switch to quilt patch management. Build-Depend on quilt and copy the
    standard quilt README.source.
  * Wrap Build-Depends.
  * Depend on ${misc:Depends}.
  * Really require qstat (>= 2.11).
  * Add a complete copyright notice.
  * Add 03_fix_busy_loop.patch, from SVN, to fix an infinite loop when
    exiting games (closes: #489211).
  * Add 04_cs_steam_applaunch.patch by Jo Shields adapted for 1.0.5 to fix
    handling of Counter Strike games (closes: #355050).
  * Add 05_close_fds.patch, from SVN, to close fds before launching games.
  * Add 10_desktop_file_fixes.patch to remove an obsolte Encoding key.
  * Add 50_spelling_fixes.patch to fix a typo in the sources.
  * Remove empty /usr/lib/xqf directory.
  * Remove useless debian/dirs.
  * Add a Homepage field.
  * Bump Standards-Version to 3.8.3.
  * Throw XQF into collab-maint; add corresponding Vcs fields.

 -- Jordi Mallach <jordi@debian.org>  Tue, 03 Nov 2009 00:26:21 +0100

xqf (1.0.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - require qstat (>= 2.11)
    - bump Standards-Version to 3.7.2.0 (no changes needed).
  * debian/patches/01_xpm_segfaults.patch: update for new xpm names
    (closes: #391123).
  * debian/patches/02_ef.xpm.patch: rename stvef.xpm to ef.xpm, and fix
    the relevant include.

 -- Jordi Mallach <jordi@debian.org>  Sat,  4 Nov 2006 19:48:09 +0100

xqf (1.0.4-2) unstable; urgency=medium

  * The "They tried praying first, but it didn't work either" release.
  * debian/control: fix upstream's download URL (closes: #361432).
  * debian/patches/01_xpm_segfault.patch: Fix a segfault on startup by
    avoiding loading XPMs into the executable, and then trying funky
    dlopens to access them. Patch by Lars Wirzenius, who totally doesn't
    believe in black magic (closes: #355045). Additionally, fix references
    to XPM files, which were called using "_" separators instead of "-".
  * debian/rules: install the XPM in /usr/share/xqf.

 -- Jordi Mallach <jordi@debian.org>  Sun,  9 Apr 2006 02:24:47 +0200

xqf (1.0.4-1) unstable; urgency=low

  * New upstream release.
    - includes Russian translation (closes: #240910).
    - fixes German translation (closes: #313871).
  * debian/control:
    - require qstat (>= 2.10).
    - build-dep on libx11-dev instead of xlibs-dev.

 -- Jordi Mallach <jordi@debian.org>  Sun, 23 Oct 2005 18:44:30 +0200

xqf (1.0.3-2) unstable; urgency=low

  * debian/control: build-depend on libreadline5-dev | libreadline-dev
    (closes: #326286).

 -- Jordi Mallach <jordi@debian.org>  Fri,  9 Sep 2005 01:39:30 +0200

xqf (1.0.3-1) unstable; urgency=low

  * New upstream release.
    - fixes crashes when changing working directory (closes: #248148).
  * debian/control: require qstat >= 2.8.

 -- Jordi Mallach <jordi@debian.org>  Sat,  9 Apr 2005 16:06:04 +0200

xqf (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: require qstat >= 2.7.

 -- Jordi Mallach <jordi@debian.org>  Thu, 23 Dec 2004 14:47:21 +0100

xqf (1.0-1) unstable; urgency=low

  * New upstream release!
  * debian/control: require qstat >= 2.6 for support of new games such
    as Doom 3.

 -- Jordi Mallach <jordi@debian.org>  Sun, 15 Aug 2004 15:09:02 +0200

xqf (0.9.14-1) unstable; urgency=low

  * New upstream release.
  * debian/control: build-dep on libxml-parser-perl, as XQF now uses intltool.
  * debian/xqf.xpm: new icon converted from the png version.
  * debian/rules: install the xpm.
  * debian/menu: use a icon with the Debian menu entry (closes: #203133).

 -- Jordi Mallach <jordi@debian.org>  Mon, 22 Mar 2004 12:42:02 +0100

xqf (0.9.13-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + add build-depends on libgtk2.0-dev and libgeoip-dev.
    + require qstat >= 2.5c-2, which has support for the new games.
    + bump Standards-Version to 3.6.1.0 (no changes required).
    + update the description, XQF now supports GTK1.2 and 2.0.
  * debian/rules:
    + include cdbs rules before the class.
    + configure with GTK2, GeoIP and external rcon support.

 -- Jordi Mallach <jordi@debian.org>  Mon, 24 Nov 2003 15:49:55 +0100

xqf (0.9.12-3) unstable; urgency=low

  * debian/rules: include cdbs makefiles before setting any variable
    (closes: #198246).

 -- Jordi Mallach <jordi@debian.org>  Fri, 20 Jun 2003 23:59:54 +0200

xqf (0.9.12-2) unstable; urgency=low

  * debian/control: add Build-Depends on libgdk-pixbuf-dev, too. 

 -- Jordi Mallach <jordi@debian.org>  Wed, 11 Jun 2003 14:10:14 +0200

xqf (0.9.12-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + add cdbs to Build-Depends, bump debhelper to (>= 4.1.0).
    + bump Standards-Version to 3.5.10.0 (no changes required).


=== debian/control ===
Source: xqf
Section: games
Priority: optional
Maintainer: Jordi Mallach <jordi@debian.org>
Build-Depends: cdbs,
               debhelper (>= 9),
               dh-autoreconf,
               gettext,
               intltool (>= 0.40.0),
               libgtk2.0-dev,
               libreadline-dev,
               libgeoip-dev,
               libx11-dev,
               zlib1g-dev
Standards-Version: 3.9.3
Vcs-Svn: svn://anonscm.debian.org/svn/collab-maint/deb-maint/xqf
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/xqf/
Homepage: http://www.linuxgames.com/xqf/

Package: xqf
Architecture: any
Depends: ${shlibs:Depends}, qstat (>= 2.11), ${misc:Depends}
Description: X-based Quake Server Browser
 XQF is a GTK+ frontend for Qstat, a tool for querying first-person
 action game servers like Quake, Unreal Tournament, etc. It displays
 information about the servers and allows configuring and launching some
 of the games from it.

=== debian/rules ===
#!/usr/bin/make -f
# CDBS rules file for XQF, made by Jordi Mallach on
# Wed, 11 Jun 2003 12:42:44 +0200.
# This file is under the Public Domain.

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk

DEB_CONFIGURE_EXTRA_FLAGS := --bindir=\$${prefix}/games \
	--enable-gtk2 --enable-geoip --enable-externalrcon \
	--with-qstat=quakestat

binary-install/xqf::
	install -m 644 -p $(CURDIR)/debian/xqf.xpm $(CURDIR)/debian/xqf/usr/share/pixmaps/xqf.xpm
	install -m 644 -p $(CURDIR)/src/xpm/*.xpm $(CURDIR)/debian/xqf/usr/share/xqf
	rm -rf $(CURDIR)/debian/xqf/usr/lib

clean::
	rm -f config.h

## xqf 1.0.6

=== debian/changelog ===
xqf (1.0.6-1) unstable; urgency=medium

  * New upstream release.
    + tremulous-based games should be supported (closes: #318440).
    + fix crash on screenshot dialog popup (closes: #391670).
  * Drop all patches, all are included upstream.
  * Stop installing game xpm, they are compiled in again.
  * Require qstat (>= 2.15).
  * Add qstat_savage_EXTRA_DIST: add qstat_savage.sh to sources and EXTRA_DIST.
  * Fix canonical form of Vcs-Svn.
  * Bump Standards-Version to 3.9.6.

 -- Jordi Mallach <jordi@debian.org>  Sun, 26 Oct 2014 15:08:55 +0100

=== debian/control ===
--- 
+++ 
@@ -12,14 +12,14 @@
                libgeoip-dev,
                libx11-dev,
                zlib1g-dev
-Standards-Version: 3.9.3
-Vcs-Svn: svn://anonscm.debian.org/svn/collab-maint/deb-maint/xqf
+Standards-Version: 3.9.6
+Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/xqf
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/xqf/
 Homepage: http://www.linuxgames.com/xqf/
 
 Package: xqf
 Architecture: any
-Depends: ${shlibs:Depends}, qstat (>= 2.11), ${misc:Depends}
+Depends: ${shlibs:Depends}, qstat (>= 2.15), ${misc:Depends}
 Description: X-based Quake Server Browser
  XQF is a GTK+ frontend for Qstat, a tool for querying first-person
  action game servers like Quake, Unreal Tournament, etc. It displays

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 binary-install/xqf::
 	install -m 644 -p $(CURDIR)/debian/xqf.xpm $(CURDIR)/debian/xqf/usr/share/pixmaps/xqf.xpm
-	install -m 644 -p $(CURDIR)/src/xpm/*.xpm $(CURDIR)/debian/xqf/usr/share/xqf
+#	install -m 644 -p $(CURDIR)/src/xpm/*.xpm $(CURDIR)/debian/xqf/usr/share/xqf
 	rm -rf $(CURDIR)/debian/xqf/usr/lib
 
 clean::

=== debian/watch ===
version=3
http://sf.net/xqf/xqf-(.+)\.tar\.gz
